org.apache.maven.scm.providers.starteam.settings

## Class Settings

- java.lang.Object
- - org.apache.maven.scm.providers.starteam.settings.Settings

All Implemented Interfaces:
  Serializable

    public class Settings
    extends Object
    implements Serializable

Class Settings.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Settings()`

### Method Summary

Methods
`String` `getEol()` Get eOL setting in all applicable stdcmd.
`String` `getModelEncoding()` Get the modelEncoding field.
`boolean` `isCompressionEnable()` Get enable compression in all stdcmd.
`void` `setCompressionEnable(boolean compressionEnable)` Set enable compression in all stdcmd.
`void` `setEol(String eol)` Set eOL setting in all applicable stdcmd.
`void` `setModelEncoding(String modelEncoding)` Set the modelEncoding field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Settings

    public Settings()

### Method Detail

#### getEol

    public String getEol()

Get eOL setting in all applicable stdcmd.

Returns:
  String

#### getModelEncoding

    public String getModelEncoding()

Get the modelEncoding field.

Returns:
  String

#### isCompressionEnable

    public boolean isCompressionEnable()

Get enable compression in all stdcmd.

Returns:
  boolean

#### setCompressionEnable

    public void setCompressionEnable(boolean compressionEnable)

Set enable compression in all stdcmd.

Parameters:
  `compressionEnable` -

#### setEol

    public void setEol(String eol)

Set eOL setting in all applicable stdcmd.

Parameters:
  `eol` -

#### setModelEncoding

    public void setModelEncoding(String modelEncoding)

Set the modelEncoding field.

Parameters:
  `modelEncoding` -